[**Headlamp Sealed Secrets API v0.2.0**](../../../README.md)

***

[Headlamp Sealed Secrets API](../../../README.md) / [lib/validators](../README.md) / isValidK8sKey

# Function: isValidK8sKey()

> **isValidK8sKey**(`key`): `boolean`

Defined in: [src/lib/validators.ts:79](https://github.com/privilegedescalation/headlamp-sealed-secrets-plugin/blob/bdf19cd3bf5a2d679b7ba949108fe9df1843c5f4/headlamp-sealed-secrets/src/lib/validators.ts#L79)

Validate Kubernetes label/annotation key

## Parameters

### key

`string`

Key to validate

## Returns

`boolean`

true if valid Kubernetes key
